API ReferenceSchedules
List Schedules
List schedules for an agent, newest first.
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
agent_id*Agent Id
Format
uuidQuery Parameters
limit?Limit
Default
50Range
1 <= value <= 200Header Parameters
X-API-Key?string|null
Response Body
application/json
application/json
curl -X GET "https://api.levainlabs.com/api/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/schedules"{
"schedules": [
{
"id": "string",
"agent_id": "string",
"agent_version_id": "string",
"cron_expr": "string",
"timezone": "string",
"prompt": "string",
"initial_state": {},
"enabled": true,
"next_fire_at": "string",
"last_fired_at": "string",
"last_run_id": "string",
"created_at": "string"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}